Name:           ip6sic
Version:        0.1
Release:        18%{?dist}
Summary:        IPv6 Stack Integrity Checker

Group:          Applications/Internet
License:        BSD
Url:            http://ip6sic.sourceforge.net/
Source0:        http://dl.sourceforge.net/sourceforge/ip6sic/%{name}-%{version}.tar.gz
Source1:        ip6sic.1
Patch1:         ip6sic-0.1-fixes.patch
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpcap-devel >= 0.4
BuildRequires:  libdnet-devel >= 1.1.0
BuildRequires:  perl

Requires:       libdnet >= 1.1.0
Requires:       libpcap >= 0.4


%description
ip6sic is a tool for stress-testing an IPv6 network stack
implementation. It works in a way very similar to isic
(IP Stack Integrity Checker, IPv4-only).


%prep
%setup -q
%patch1 -p1 -b .fixes
%{__perl} -pi -e 's|/lib |/%{_lib} |g' configure
%{__perl} -pi -e 's|/lib/|/%{_lib}/|g' configure
cp -p %{SOURCE1} ip6sic.1


%build
%configure --with-libpcap=%{_includedir} --with-libdnet=%{_prefix}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_bindir}/ip6sic
%{_mandir}/man1/*


%changelog
* Fri Nov 25 2016 J. Randall Owens <jrowens@ghiapet.net> - 0.1-18
- add perl Requires

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 12 2011 Dave Jones <davej@redhat.com> 0.1-11
- Rebuild for f16. (Previous attempted rebuilds have been failing).

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 14 2008 Jarod Wilson <jwilson@redhat.com> 0.1-7
- Bump and rebuild with gcc 4.3
- Drop no longer needed conditional cruft

* Thu Dec 14 2006 Jarod Wilson <jwilson@redhat.com> 0.1-6
- Build against libpcap.so instead of libpcap.a

* Wed Nov 29 2006 Jarod Wilson <jwilson@redhat.com> 0.1-5
- Rebuild against new libpcap

* Tue Sep 05 2006 Jarod Wilson <jwilson@redhat.com> 0.1-4
- Rebuild for new glibc

* Thu Jul 27 2006 Jarod Wilson <jwilson@redhat.com> 0.1-3
- Bump due to import quirk (tagged -2 tagged fc5 in -devel)

* Thu Jul 27 2006 Jarod Wilson <jwilson@redhat.com> 0.1-2
- Sanitize description

* Wed Jul 12 2006 Jarod Wilson <jwilson@redhat.com> 0.1-1
- Initial release
